#ifndef __interfNEWCONTOURMENUH__
#define __interfNEWCONTOURMENUH__

#include <wx/wx.h>
#include "interfMenuBar.h"
#include "interfMainPanel.h"

#include "PanelBullEyeOptions.h"
//#include <wxContourEventHandler.h>

class interfNewContourMenu 
	: public interfMenuBar
{
public:
	interfNewContourMenu(wxWindow * parent, int sizex, int sizey, wxEvtHandler* evtHandler, std::string datadir = "data/Icons");		
	~interfNewContourMenu();

    
    virtual void initButtons(wxEvtHandler* evtHandler) ;

	

private:
	//wxContourEventHandler* eventHandler;
	wxPanel* panBull;
	bool created;
	
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**/
	void onCreateContourBullseye(wxCommandEvent& event);
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**/
	void onCreateContourSpline( wxCommandEvent& event );
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**/
	void onCreateContourRectangle( wxCommandEvent& event );
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**/
	void onCreateContourCircle( wxCommandEvent& event );
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**/
	void onCreateContourLine( wxCommandEvent& event );	
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**/
	void onCreateContourPoints( wxCommandEvent& event );
	/**
	**	This method is in charge of capturing the event when the button is clicked
	**  RaC - Creates a new Polygon contour
	**/
	void onCreateContourPolygon( wxCommandEvent& event );
	
};

#endif

