#include "bbCreaContournDimensions.h"
#include "bbcreaContoursPackage.h"

#include "creaSystem.h"
namespace bbcreaContours
{

BBTK_ADD_BLACK_BOX_TO_PACKAGE(creaContours,nDimensions)
BBTK_BLACK_BOX_IMPLEMENTATION(nDimensions,bbtk::WxBlackBox);
void nDimensions::Process()
{
printf("EED nDimensions::Process 01\n");	
	double **vectx = 0, **vecty = 0, **vectz = 0;

	std::vector< void * > vectortemp;
	std::vector<int> size;
	vtkImageData **mask = 0, **value = 0;

	vtkImageData* img = bbGetInputIn();

	std::vector<vtkImageData*> selectedimages;
	if(img!=NULL && currentimg!=img){

		printf("EED nDimensions::Process 02\n");	
		wxContourMainFrame::getInstance()->ShowToolsPanel(true);
		currentimg=img;
		selectedimages.push_back(img);
		wxContourMainFrame::getInstance()->setVectImages(selectedimages);
		printf("EED nDimensions::Process 03\n");	
	}

	printf("EED nDimensions::Process 04\n");	
	if(currentimg != NULL){
		int contourtype = bbGetInputContourType();
		//wxContourMainFrame::getInstance()->getValuesXYZ(vectx, vecty, vectz, &size);
		//wxContourMainFrame::getInstance()->getMaskValue(mask, value, contourtype);
	}

	printf("EED nDimensions::Process 05\n");	
	bbSetOutputX(vectx);
	printf("EED nDimensions::Process 05.1\n");	
	bbSetOutputY(vecty);
	printf("EED nDimensions::Process 05.2\n");	
	bbSetOutputZ(vectz);
	printf("EED nDimensions::Process 05.3\n");	
	bbSetOutputSizeContour(size);
	printf("EED nDimensions::Process 05.4\n");	
	bbSetOutputMask(*mask);
	printf("EED nDimensions::Process 05.5\n");	
	bbSetOutputValue(*value);
	printf("EED nDimensions::Process 06\n");	
}

//-----------------------------------------------------------------
void nDimensions::CreateWidget(wxWindow* parent)
{
	//vtkImageData* img = bbGetInputIn();

	std::vector<vtkImageData*> selectedimages;
	//selectedimages.push_back(img);

	//wxFrame* frame1 = new wxFrame(parent, wxID_ANY, wxT("ROI Application  -    Evaluation version, 23 Oct 2008 "), wxPoint(400,50), wxSize(800, 600) );
	//frame = wxContourMainFrame::getInstance(frame1, wxID_ANY, wxString(_T("")), wxPoint(100,50), wxSize(800, 600), selectedimages );
	//new wxContourMainFrame( frame1, wxID_ANY, _T(""), wxPoint(50,50), wxSize(800, 600),selectedimages );
	//frame1->CreateStatusBar();
	//bbSetOutputWidget( frame1 );
std::string datadir=".";
#ifdef WIN32
	datadir = crea::System::GetDllAppPath();
#else
	datadir= crea::System::GetExecutablePath();
#endif
	
	
#ifdef LINUX /* assume this is OSX */
	datadir=datadir+"/../share/creaContours";
#endif // MACOSX	
	
#ifdef MACOSX /* assume this is OSX */
	datadir=datadir+"/../../../../share/creaContours";
#endif // MACOSX	
	
	
	printf("EED nDimensions::CreateWidget path=%s\n",datadir.c_str() );

	wxPanel* panel = wxContourMainFrame::getInstance(parent, wxID_ANY, wxString(_T("")), wxPoint(100,50), wxSize(800, 600), selectedimages,wxDEFAULT_FRAME_STYLE | wxSUNKEN_BORDER,datadir );
	wxContourMainFrame::getInstance()->ShowToolsPanel(false);
//EED	bbSetOutputWidget( panel );
		bbSetOutputWidget( new wxPanel(parent,-1) );
}

//-----------------------------------------------------------------
void nDimensions::bbUserSetDefaultValues()
{
	bbSetInputContourType(0);
	bbSetInputIn(NULL);
}

//-----------------------------------------------------------------
void nDimensions::bbUserInitializeProcessing()
{
}

//-----------------------------------------------------------------
void nDimensions::bbUserFinalizeProcessing()
{
}

}  // EO namespace bbCreaContour
